<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * [[機能説明]]
 *
 * @package     [[package名]]
 * @author      Your Name <mail@example.com>
 * @access      public
 */
class Customer_Itembuy_Order_Cancel_Done
{
    /**
     * [[機能説明]]
     *
     * @access  public
     */
    var $c_order;
    var $row;
    var $session;
    var $auth;
    
    var $mode;
    var $page;
    
    function execute()
    {
        $membercd = $this->auth->getAuthData("membercd");
        $data = $this->session->getParameter("cancel");
        $this->row = $this->c_order->update($membercd,
        									$data['orderno'],
        									$data['orderrowno'],
        									$data['itemcd']);

        if (!$this->row) return 'input';
        									
        $log =& LogFactory::getLog();
        $log->debug("Customer_Itembuy_Order_Cancel_Doneが実行されました", "Customer_Itembuy_Order_Cancel_Done#execute");
        return 'success';
    }
}
?>
